"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CountPendingDecisionTasks_1 = require("../model/operations/CountPendingDecisionTasks");
class CountPendingDecisionTasksCommand {
    constructor(input) {
        this.input = input;
        this.model = CountPendingDecisionTasks_1.CountPendingDecisionTasks;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CountPendingDecisionTasksCommand = CountPendingDecisionTasksCommand;
//# sourceMappingURL=CountPendingDecisionTasksCommand.js.map