"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const PollForDecisionTask_1 = require("../model/operations/PollForDecisionTask");
class PollForDecisionTaskCommand {
    constructor(input) {
        this.input = input;
        this.model = PollForDecisionTask_1.PollForDecisionTask;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.PollForDecisionTaskCommand = PollForDecisionTaskCommand;
//# sourceMappingURL=PollForDecisionTaskCommand.js.map