"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RegisterWorkflowType_1 = require("../model/operations/RegisterWorkflowType");
class RegisterWorkflowTypeCommand {
    constructor(input) {
        this.input = input;
        this.model = RegisterWorkflowType_1.RegisterWorkflowType;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RegisterWorkflowTypeCommand = RegisterWorkflowTypeCommand;
//# sourceMappingURL=RegisterWorkflowTypeCommand.js.map