"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RequestCancelWorkflowExecution_1 = require("../model/operations/RequestCancelWorkflowExecution");
class RequestCancelWorkflowExecutionCommand {
    constructor(input) {
        this.input = input;
        this.model = RequestCancelWorkflowExecution_1.RequestCancelWorkflowExecution;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RequestCancelWorkflowExecutionCommand = RequestCancelWorkflowExecutionCommand;
//# sourceMappingURL=RequestCancelWorkflowExecutionCommand.js.map