"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RespondActivityTaskCompleted_1 = require("../model/operations/RespondActivityTaskCompleted");
class RespondActivityTaskCompletedCommand {
    constructor(input) {
        this.input = input;
        this.model = RespondActivityTaskCompleted_1.RespondActivityTaskCompleted;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RespondActivityTaskCompletedCommand = RespondActivityTaskCompletedCommand;
//# sourceMappingURL=RespondActivityTaskCompletedCommand.js.map