"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RespondActivityTaskFailed_1 = require("../model/operations/RespondActivityTaskFailed");
class RespondActivityTaskFailedCommand {
    constructor(input) {
        this.input = input;
        this.model = RespondActivityTaskFailed_1.RespondActivityTaskFailed;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RespondActivityTaskFailedCommand = RespondActivityTaskFailedCommand;
//# sourceMappingURL=RespondActivityTaskFailedCommand.js.map