"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RespondDecisionTaskCompleted_1 = require("../model/operations/RespondDecisionTaskCompleted");
class RespondDecisionTaskCompletedCommand {
    constructor(input) {
        this.input = input;
        this.model = RespondDecisionTaskCompleted_1.RespondDecisionTaskCompleted;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RespondDecisionTaskCompletedCommand = RespondDecisionTaskCompletedCommand;
//# sourceMappingURL=RespondDecisionTaskCompletedCommand.js.map