"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UndeprecateActivityType_1 = require("../model/operations/UndeprecateActivityType");
class UndeprecateActivityTypeCommand {
    constructor(input) {
        this.input = input;
        this.model = UndeprecateActivityType_1.UndeprecateActivityType;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UndeprecateActivityTypeCommand = UndeprecateActivityTypeCommand;
//# sourceMappingURL=UndeprecateActivityTypeCommand.js.map