"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeWorkflowExecutionInput_1 = require("../shapes/DescribeWorkflowExecutionInput");
const DescribeWorkflowExecutionOutput_1 = require("../shapes/DescribeWorkflowExecutionOutput");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeWorkflowExecution = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeWorkflowExecution",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeWorkflowExecutionInput_1.DescribeWorkflowExecutionInput
    },
    output: {
        shape: DescribeWorkflowExecutionOutput_1.DescribeWorkflowExecutionOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=DescribeWorkflowExecution.js.map