"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PollForActivityTaskInput_1 = require("../shapes/PollForActivityTaskInput");
const PollForActivityTaskOutput_1 = require("../shapes/PollForActivityTaskOutput");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const LimitExceededFault_1 = require("../shapes/LimitExceededFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.PollForActivityTask = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PollForActivityTask",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PollForActivityTaskInput_1.PollForActivityTaskInput
    },
    output: {
        shape: PollForActivityTaskOutput_1.PollForActivityTaskOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        },
        {
            shape: LimitExceededFault_1.LimitExceededFault
        }
    ]
};
//# sourceMappingURL=PollForActivityTask.js.map