"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RegisterDomainInput_1 = require("../shapes/RegisterDomainInput");
const RegisterDomainOutput_1 = require("../shapes/RegisterDomainOutput");
const DomainAlreadyExistsFault_1 = require("../shapes/DomainAlreadyExistsFault");
const LimitExceededFault_1 = require("../shapes/LimitExceededFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const TooManyTagsFault_1 = require("../shapes/TooManyTagsFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.RegisterDomain = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RegisterDomain",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RegisterDomainInput_1.RegisterDomainInput
    },
    output: {
        shape: RegisterDomainOutput_1.RegisterDomainOutput
    },
    errors: [
        {
            shape: DomainAlreadyExistsFault_1.DomainAlreadyExistsFault
        },
        {
            shape: LimitExceededFault_1.LimitExceededFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        },
        {
            shape: TooManyTagsFault_1.TooManyTagsFault
        }
    ]
};
//# sourceMappingURL=RegisterDomain.js.map