"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UntagResourceInput_1 = require("../shapes/UntagResourceInput");
const UntagResourceOutput_1 = require("../shapes/UntagResourceOutput");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const LimitExceededFault_1 = require("../shapes/LimitExceededFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UntagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UntagResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UntagResourceInput_1.UntagResourceInput
    },
    output: {
        shape: UntagResourceOutput_1.UntagResourceOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: LimitExceededFault_1.LimitExceededFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=UntagResource.js.map